import request from "@/utils/request";

// 查询设计-测井数据-岩石强度分析列表
export function listSjCjlasYsqdfx(query) {
  return request({
    url: "/system/sjCjsjLas/list",
    method: "get",
    params: query,
  });
}
//计算
export function listjs(query) {
  return request({
    url: "/system/sjCjsjLas/js",
    method: "get",
    params: query,
  });
}

// 查询设计-测井数据-岩石强度分析详细
export function getSjCjlasYsqdfx(id) {
  return request({
    url: "/system/sjCjlasYsqdfx/" + id,
    method: "get",
  });
}

// 新增设计-测井数据-岩石强度分析
export function addSjCjlasYsqdfx(data) {
  return request({
    url: "/system/sjCjlasYsqdfx",
    method: "post",
    data: data,
  });
}

// 修改设计-测井数据-岩石强度分析
export function updateSjCjlasYsqdfx(data) {
  return request({
    url: "/system/sjCjlasYsqdfx",
    method: "put",
    data: data,
  });
}

// 删除设计-测井数据-岩石强度分析
export function delSjCjlasYsqdfx(id) {
  return request({
    url: "/system/sjCjlasYsqdfx/" + id,
    method: "delete",
  });
}
